Bug 249427 - unclear message in installer, improper failure with existing disk image present
unclear message in installer, improper failure with existing disk image present
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2007-07-24 12:59 EDT by R P Herrold
Modified: 2009-12-14 16:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-21 12:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2007-07-24 12:59:06 EDT
Two matters, one of wording, and one of a missing state inventory and recovery.

[root@amd64 ~]# virt-install
Would you like a fully virtualized guest (yes or no)?  This will allow you to
run unmodified operating systems. yes
 What is the name of your virtual machine? russ1
 How much RAM should be allocated (in megabytes)? 1000
 What would you like to use as the disk (path)? /var/zen

BUG 1 *** This setup wizard message implies that a path is an acceptable answer
here ... I understand that a FQ path and file name is required here, but this is
not what it states.

 ERROR:  Must provide a file, not a directory for the disk
What would you like to use as the disk (path)? /var/zen/russ-disk
 Would you like to enable graphics support? (yes or no) no
 What would you like to use for the virtual CD image?

Starting install...

BUG 2 *** as indicated by the 'ls -l' below, the file exists -- I knew it
existed, and clearly the intsller can test for an existing file, and ask about
an over-write.  Instead it crashes.  This path should be caught and handles.

libvir: Xen Daemon error : POST operation failed: (xend.err 'Error creating
domain: Disk image does not exist: /var/zen/russ-disk')
Failed to create domain russ1
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 447, in ?
  File "/usr/sbin/virt-install", line 411, in main
    dom = guest.start_install(conscb)
  File "/usr/lib/python2.4/site-packages/virtinst/XenGuest.py", line 367, in
    self.domain = self.conn.createLinux(cxml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 249, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed')
libvirt.libvirtError: virDomainCreateLinux() failed
[root@amd64 ~]# ls -al /var/zen/russ-disk
-rwxr-xr-x 1 root root 5368709121 Jul 24 07:42 /var/zen/russ-disk
[root@amd64 ~]#
Comment 1 Cole Robinson 2007-11-13 11:39:34 EST
I just changed the clarity of the virt-instal question upstream:


The question does not actually require I fully qualified path though. As far as
the file being present, this seems to work fine in 5.0. My guess is you have
selinux enabled and it is preventing you from accessing the file. Can you
confirm if this is the case?
Comment 2 Cole Robinson 2008-02-21 12:39:58 EST
Since I can't reproduce, no one has reported a similar issue, and it's been in
NEEDINFO for 3 months, I'm closing this bug. Please reopen if you are still
seeing this issue. Thanks!

Note You need to log in before you can comment on or make changes to this bug.